## ulex0.8 0.8

=== Makefile ===
VERSION=0.8

all: ulexing.cma pa_ulex.cma
all.opt: ulexing.cma ulexing.cmxa pa_ulex.cma


install: all
	ocamlfind install ulex META $(wildcard *.mli) $(wildcard *.cmi) $(wildcard *.a) $(wildcard *.cma) $(wildcard *.cmxa)

uninstall:
	ocamlfind remove ulex

ULEXING = utf8.mli utf8.ml ulexing.mli ulexing.ml utf16.mli utf16.ml
ULEX = cset.ml ulex.mli ulex.ml pa_ulex.ml

ulexing.cma: $(ULEXING)
	ocamlc -a -o ulexing.cma $(ULEXING)
ulexing.cmxa: $(ULEXING)
	ocamlopt -a -o ulexing.cmxa $(ULEXING)

pa_ulex.cma: $(ULEX)
	ocamlc -a -o pa_ulex.cma -pp 'camlp4o pa_extend.cmo q_MLast.cmo' -I +camlp4 $(ULEX)

pa_ulex.ml: pa_ulex.ml.src
	ocaml mk_pa_ulex.ml

clean:
	rm -f *.cm* *~ test custom_ulexing *.o *.a *.html *.css pa_ulex.ml

view_test: pa_ulex.cma
	camlp4o ./pa_ulex.cma pr_o.cmo -sep "\n" test.ml

run_test: ulexing.cma pa_ulex.cma
	ocamlc -o test -pp 'camlp4o ./pa_ulex.cma' ulexing.cma test.ml
	./test

custom_ulexing: ulexing.cma pa_ulex.cma
	ocamlc -o custom_ulexing -pp 'camlp4o ./pa_ulex.cma' ulexing.cma custom_ulexing.ml


doc:
	ocamldoc -html ulexing.mli

PACKAGE = ulex-$(VERSION)
DISTRIB = CHANGES LICENSE META README Makefile *.ml *.mli *.ml.src
.PHONY: package
package: clean
	rm -Rf $(PACKAGE)
	mkdir $(PACKAGE)
	cp -R $(DISTRIB) $(PACKAGE)/
	tar czf $(PACKAGE).tar.gz $(PACKAGE)
	rm -Rf $(PACKAGE)

=== debian/changelog ===
ulex0.8 (0.8-12build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:33:54 +0000

ulex0.8 (0.8-12) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Sep 2019 08:49:00 +0200

ulex0.8 (0.8-11) unstable; urgency=medium

  * Team upload
  * Bump debhelper compat level to 12 and switch to dh
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Switch debian/copyright to format 1.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2019 09:23:59 +0200

ulex0.8 (0.8-10) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Remove quilt from Build-Depends and debian/rules
  * Add compatibility patch with camlp5 strict

  [ Stefano Zacchiroli ]
  * set package section to "ocaml" (override is right)
  * remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Mar 2012 18:54:15 +0100

ulex0.8 (0.8-9) unstable; urgency=low

  [ Stéphane Glondu ]
  * Use dh-ocaml for dependency generation (Closes: #577311)

  [ Enrico Tassi ]
  * use quilt instead of dpatch
  * use source format 3.0 (quilt)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 12 Apr 2010 18:05:02 +0200

ulex0.8 (0.8-8) unstable; urgency=low

  * upload to unstable
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet
  * debian/*.in: use more abstract substitution variables to point to
    stdlib directories

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 05 Mar 2009 20:07:45 +0100

ulex0.8 (0.8-7) experimental; urgency=low

  [ Stefano Zacchiroli]
  * Rebuild against OCaml 3.11: stricten build-deps, add build-dep on dh-ocaml
  * debian/control: bump standards version (no change needed)
  * bump debhelper level to 7 (debian/control and debian/compat updated)

  [ Stephane Glondu ]
  * Switching packaging to git

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 10 Feb 2009 11:36:41 +0100

ulex0.8 (0.8-6) unstable; urgency=low

  * rebuild against ocaml 3.10.1

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 09 Feb 2008 20:56:19 +0100

ulex0.8 (0.8-5) unstable; urgency=low

  * update standards-version, no changes needed
  * rebuild against camlp5 5.06
  * moving myself to uploaders, setting d-o-m as the maintainer
  * add Vcs-Browser field to debian/control
  * add Homepage field to debian/control
  * fix vcs-svn field to point just above the debian/ dir
  * debian/patches/: add missing descriptions for patches:
    install_destdir, meta_version

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 31 Dec 2007 17:05:25 +0100

ulex0.8 (0.8-4) unstable; urgency=low

  * Rebuilt against camlp5 5.04
  * Added Enrico Tassi to the Uploaders control field

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 04 Dec 2007 16:24:21 +0100

ulex0.8 (0.8-3) unstable; urgency=low

  * rebuild against current camlp5 (otherwise pa_ulex loading would fail)
  * debian/control
    - bump camlp5 deps to the current camlp5 version

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 19 Nov 2007 13:25:20 +0100

ulex0.8 (0.8-2) unstable; urgency=low

  * debian/control
    - bump ocaml-nox build-dep to >= 3.10.0-8 to ensure the fixed version of
      the CDBS class is used
  * debian/rules
    - enable generation of ocamldoc API reference (delegated to CDBS)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 03 Sep 2007 15:23:15 +0200

ulex0.8 (0.8-1) experimental; urgency=low

  * First release (closes: #436982).

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 24 Aug 2007 22:27:08 +0200

=== debian/control ===
Source: ulex0.8
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends:
 debhelper (>= 12),
 ocaml-nox (>= 3.11),
 dh-ocaml,
 ocaml-findlib,
 camlp5 (>= 5.10)
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/ocaml-team/ulex0.8.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ulex0.8
Homepage: http://www.cduce.org/download.html#side

Package: ocaml-ulex08
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml lexer generator with Unicode support - CamlP5 version
 ulex is a lexer generator for the Objective Caml (OCaml) programming
 language.
 .
 It is implemented as a Camlp4 syntax extension: lexer specifications
 are embedded in regular OCaml code.
 .
 Generated lexers work with a new kind of "lexbuf" that supports
 Unicode; a single lexer can work with arbitrary encodings of the input
 stream.
 .
 This package ships the latest release of ulex compatible with Camlp4
 pre OCaml 3.10 (now called CamlP5). Applications which need both ulex
 and the legacy version of Camlp4 might need to use this package instead
 of ocaml-ulex (the latter shipping the latest available ulex release which
 requires Camlp4 >= 3.10)).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

PKGNAME = ocaml-ulex08

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dh_auto_build
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) all.opt
endif

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PKGNAME)$(OCAML_STDLIB_DIR)

override_dh_ocaml:
	dh_ocaml --runtime-map=ocaml-ulex08

## ulex0.8 1.2

=== Makefile ===
ALL=pa_ulex.cma ulexing.cma
OCAMLBUILD=ocamlbuild -byte-plugin -use-ocamlfind

all::
	$(OCAMLBUILD) $(ALL)
all.opt::
	$(OCAMLBUILD) $(ALL) $(ALL:.cma=.cmxa)

MODS=ulexing utf16 utf8

install: all
	cd _build && $(MAKE) -f ../Makefile realinstall

realinstall:
	ocamlfind install ulex-camlp5 ../META $(wildcard $(MODS:=.mli) $(MODS:=.cmi) $(MODS:=.cmx) pa_ulex.cma ulexing.a ulexing.cma ulexing.cmxa)

uninstall:
	ocamlfind remove ulex-camlp5

clean:
	$(OCAMLBUILD) -clean
	rm -f *~ *.html *.css *.tar.gz

view_test: all
	camlp5o pr_o.cmo ./_build/pa_ulex.cma test.ml

run_test:
	$(OCAMLBUILD) test.byte
	./test.byte

custom_ulexing.byte:
	$(OCAMLBUILD) custom_ulexing.byte

doc:
	ocamldoc -html ulexing.mli

VERSION      := $$(opam query --version)
NAME_VERSION := $$(opam query --name-version)
ARCHIVE      := $$(opam query --archive)

release:
	git tag -a v$(VERSION) -m "Version $(VERSION)."
	git push origin v$(VERSION)
	opam publish prepare $(NAME_VERSION) $(ARCHIVE)
	cp -t $(NAME_VERSION) descr
	grep -Ev '^(name|version):' opam >$(NAME_VERSION)/opam
	opam publish submit $(NAME_VERSION)
	rm -rf $(NAME_VERSION)

=== debian/changelog ===
ulex0.8 (1.2-2build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 10:57:42 +0100

ulex0.8 (1.2-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Fix compilation with camlp5 8.00.02
  * Bump Standards-Version to 4.6.0
  * Remove Enrico from Uploaders (Closes: #995560)

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jan 2022 06:34:44 +0100

ulex0.8 (1.2-1) unstable; urgency=medium

  * Team upload
  * Update Homepage and debian/watch to sacerdot's ulex-camlp5 branch
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Aug 2020 05:18:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: ulex0.8
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
- debhelper (>= 12),
- ocaml-nox (>= 3.11),
+ debhelper-compat (= 13),
+ ocaml,
+ ocamlbuild,
  dh-ocaml,
  ocaml-findlib,
- camlp5 (>= 5.10)
-Standards-Version: 4.4.0
+ camlp5 (>= 8)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/ulex0.8.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ulex0.8
-Homepage: http://www.cduce.org/download.html#side
+Homepage: https://github.com/sacerdot/ulex/tree/ulex-camlp5
 
 Package: ocaml-ulex08
 Architecture: any

=== debian/watch ===
version=4
https://github.com/sacerdot/ulex/releases .*/archive/refs/tags/v?([0-9.]+)-camlp5\.tar\.gz
